[**@rxap/forms v19.1.0**](../README.md)

***

[@rxap/forms](../globals.md) / mergeControlValidators

# Function: mergeControlValidators()

> **mergeControlValidators**\<`T`, `Control`\>(`control`, `validators`): `void`

Defined in: [packages/angular/forms/src/lib/control-actions.ts:122](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/control-actions.ts#L122)

## Type Parameters

• **T**

• **Control** *extends* [`AbstractControl`](../interfaces/AbstractControl.md)\<`T`\>

## Parameters

### control

`Control`

### validators

[`ValidatorFn`](../type-aliases/ValidatorFn.md)\<`T`\> | [`ValidatorFn`](../type-aliases/ValidatorFn.md)\<`T`\>[]

## Returns

`void`
